This job view page is being replaced by Spyglass soon. Check out the new job view.
ResultFAILURE
Tests 7 failed / 194 succeeded
Started2020-10-23 00:59
Elapsed4h21m
Revision
Builderfd087b46-14ca-11eb-8a3c-66d0ef5d093b
infra-commit085d616b4
job-versionv1.18.11-rc.0.7+c194df43db09e4
master_os_imagecos-81-12871-59-0
node_os_imagecos-77-12371-175-0
revisionv1.18.11-rc.0.7+c194df43db09e4

Test Failures


Kubernetes e2e suite [k8s.io] [sig-cloud-provider-gcp] Upgrade [Feature:Upgrade] master upgrade should maintain a functioning cluster [Feature:MasterUpgrade] 16m42s

go run hack/e2e.go -v --test --test_args='--ginkgo.focus=Kubernetes\se2e\ssuite\s\[k8s\.io\]\s\[sig\-cloud\-provider\-gcp\]\sUpgrade\s\[Feature\:Upgrade\]\smaster\supgrade\sshould\smaintain\sa\sfunctioning\scluster\s\[Feature\:MasterUpgrade\]$'
/go/src/k8s.io/kubernetes/_output/dockerized/go/src/k8s.io/kubernetes/test/e2e/cloud/gcp/cluster_upgrade.go:101
Oct 23 01:43:09.965: Unexpected error:
    <*errors.errorString | 0xc002852cf0>: {
        s: "error running /workspace/kubernetes_skew/cluster/gce/upgrade.sh [-M v1.19.4-rc.0.14+681acc889a6d07]; got error exit status 1, stdout \"Fetching the previously installed CoreDNS version\\n\\n***WARNING***\\nUpgrading Kubernetes with this script might result in an upgrade to a new etcd version.\\nSome etcd version upgrades, such as 3.0.x to 3.1.x, DO NOT offer a downgrade path.\\nTo pin the etcd version to your current one (e.g. v3.0.17), set the following variables\\nbefore running this script:\\n\\n# example: pin to etcd v3.0.17\\nexport ETCD_IMAGE=3.0.17\\nexport ETCD_VERSION=3.0.17\\n\\nAlternatively, if you choose to allow an etcd upgrade that doesn't support downgrade,\\nyou might still be able to downgrade Kubernetes by pinning to the newer etcd version.\\nIn all cases, it is strongly recommended to have an etcd backup before upgrading.\\n\\n== Pre-Upgrade Node OS and Kubelet Versions ==\\nname: \\\"bootstrap-e2e-master\\\", osImage: \\\"Container-Optimized OS from Google\\\", kubeletVersion: \\\"v1.18.11-rc.0.7+c194df43db09e4\\\"\\nname: \\\"bootstrap-e2e-minion-group-dp87\\\", osImage: \\\"Container-Optimized OS from Google\\\", kubeletVersion: \\\"v1.18.11-rc.0.7+c194df43db09e4\\\"\\nname: \\\"bootstrap-e2e-minion-group-kprg\\\", osImage: \\\"Container-Optimized OS from Google\\\", kubeletVersion: \\\"v1.18.11-rc.0.7+c194df43db09e4\\\"\\nname: \\\"bootstrap-e2e-minion-group-srk4\\\", osImage: \\\"Container-Optimized OS from Google\\\", kubeletVersion: \\\"v1.18.11-rc.0.7+c194df43db09e4\\\"\\nFound subnet for region us-west1 in network bootstrap-e2e: bootstrap-e2e\\n== Upgrading master to 'https://storage.googleapis.com/kubernetes-release-dev/ci/v1.19.4-rc.0.14+681acc889a6d07/kubernetes-server-linux-amd64.tar.gz'. Do not interrupt, deleting master instance. ==\\n== Upgrading master environment variables. ==\\n== Waiting for new master to respond to API requests ==\\n.........................== Done ==\\nWaiting for CoreDNS to update\\nFetching the latest installed CoreDNS version\\n== Downloading the CoreDNS migration tool ==\\n== Upgrading the CoreDNS ConfigMap ==\\nconfigmap/coredns configured\\n== The CoreDNS Config has been updated ==\\n== Validating cluster post-upgrade ==\\nValidating gce cluster, MULTIZONE=\\nFound 4 node(s).\\nNAME                              STATUS                     ROLES    AGE    VERSION\\nbootstrap-e2e-master              Ready,SchedulingDisabled   <none>   8m4s   v1.19.4-rc.0.14+681acc889a6d07\\nbootstrap-e2e-minion-group-dp87   Ready                      <none>   8m6s   v1.18.11-rc.0.7+c194df43db09e4\\nbootstrap-e2e-minion-group-kprg   Ready                      <none>   8m6s   v1.18.11-rc.0.7+c194df43db09e4\\nbootstrap-e2e-minion-group-srk4   Ready                      <none>   8m6s   v1.18.11-rc.0.7+c194df43db09e4\\nValidate output:\\nNAME                 STATUS    MESSAGE             ERROR\\ncontroller-manager   Healthy   ok                  \\nscheduler            Healthy   ok                  \\netcd-1               Healthy   {\\\"health\\\":\\\"true\\\"}   \\netcd-0               Healthy   {\\\"health\\\":\\\"true\\\"}   \\n\\x1b[0;32mCluster validation succeeded\\x1b[0m\\n== Post-Upgrade Node OS and Kubelet Versions ==\\nname: \\\"bootstrap-e2e-master\\\", osImage: \\\"Container-Optimized OS from Google\\\", kubeletVersion: \\\"v1.19.4-rc.0.14+681acc889a6d07\\\"\\nname: \\\"bootstrap-e2e-minion-group-dp87\\\", osImage: \\\"Container-Optimized OS from Google\\\", kubeletVersion: \\\"v1.18.11-rc.0.7+c194df43db09e4\\\"\\nname: \\\"bootstrap-e2e-minion-group-kprg\\\", osImage: \\\"Container-Optimized OS from Google\\\", kubeletVersion: \\\"v1.18.11-rc.0.7+c194df43db09e4\\\"\\nname: \\\"bootstrap-e2e-minion-group-srk4\\\", osImage: \\\"Container-Optimized OS from Google\\\", kubeletVersion: \\\"v1.18.11-rc.0.7+c194df43db09e4\\\"\\n\", stderr \"Project: k8s-jkns-e2e-kubeadm-gce-ci\\nNetwork Project: k8s-jkns-e2e-kubeadm-gce-ci\\nZone: us-west1-b\\nINSTANCE_GROUPS=bootstrap-e2e-minion-group\\nNODE_NAMES=bootstrap-e2e-minion-group-dp87 bootstrap-e2e-minion-group-kprg bootstrap-e2e-minion-group-srk4\\nTrying to find master named 'bootstrap-e2e-master'\\nLooking for address 'bootstrap-e2e-master-ip'\\nUsing master: bootstrap-e2e-master (external IP: 35.247.71.49; internal IP: (not set))\\nDeleted [https://www.googleapis.com/compute/v1/projects/k8s-jkns-e2e-kubeadm-gce-ci/zones/us-west1-b/instances/bootstrap-e2e-master].\\nWARNING: You have selected a disk size of under [200GB]. This may result in poor I/O performance. For more information, see: https://developers.google.com/compute/docs/disks#performance.\\nCreated [https://www.googleapis.com/compute/v1/projects/k8s-jkns-e2e-kubeadm-gce-ci/zones/us-west1-b/instances/bootstrap-e2e-master].\\nWARNING: Some requests generated warnings:\\n - Disk size: '20 GB' is larger than image size: '10 GB'. You might need to resize the root repartition manually if the operating system does not support automatic resizing. See https://cloud.google.com/compute/docs/disks/add-persistent-disk#resize_pd for details.\\n - The resource 'projects/cos-cloud/global/images/cos-81-12871-59-0' is deprecated. A suggested replacement is 'projects/cos-cloud/global/images/cos-81-12871-69-0'.\\n\\nNAME                  ZONE        MACHINE_TYPE   PREEMPTIBLE  INTERNAL_IP  EXTERNAL_IP   STATUS\\nbootstrap-e2e-master  us-west1-b  n1-standard-1               10.138.0.6   35.247.71.49  RUNNING\\nWarning: kubectl apply should be used on resource created by either kubectl create --save-config or kubectl apply\\nProject: k8s-jkns-e2e-kubeadm-gce-ci\\nNetwork Project: k8s-jkns-e2e-kubeadm-gce-ci\\nZone: us-west1-b\\nWarning: v1 ComponentStatus is deprecated in v1.19+\\nWarning: v1 ComponentStatus is deprecated in v1.19+\\n/workspace/kubernetes_skew/cluster/gce/upgrade.sh: line 465: download_dir: unbound variable\\n\"",
    }
    error running /workspace/kubernetes_skew/cluster/gce/upgrade.sh [-M v1.19.4-rc.0.14+681acc889a6d07]; got error exit status 1, stdout "Fetching the previously installed CoreDNS version\n\n***WARNING***\nUpgrading Kubernetes with this script might result in an upgrade to a new etcd version.\nSome etcd version upgrades, such as 3.0.x to 3.1.x, DO NOT offer a downgrade path.\nTo pin the etcd version to your current one (e.g. v3.0.17), set the following variables\nbefore running this script:\n\n# example: pin to etcd v3.0.17\nexport ETCD_IMAGE=3.0.17\nexport ETCD_VERSION=3.0.17\n\nAlternatively, if you choose to allow an etcd upgrade that doesn't support downgrade,\nyou might still be able to downgrade Kubernetes by pinning to the newer etcd version.\nIn all cases, it is strongly recommended to have an etcd backup before upgrading.\n\n== Pre-Upgrade Node OS and Kubelet Versions ==\nname: \"bootstrap-e2e-master\", osImage: \"Container-Optimized OS from Google\", kubeletVersion: \"v1.18.11-rc.0.7+c194df43db09e4\"\nname: \"bootstrap-e2e-minion-group-dp87\", osImage: \"Container-Optimized OS from Google\", kubeletVersion: \"v1.18.11-rc.0.7+c194df43db09e4\"\nname: \"bootstrap-e2e-minion-group-kprg\", osImage: \"Container-Optimized OS from Google\", kubeletVersion: \"v1.18.11-rc.0.7+c194df43db09e4\"\nname: \"bootstrap-e2e-minion-group-srk4\", osImage: \"Container-Optimized OS from Google\", kubeletVersion: \"v1.18.11-rc.0.7+c194df43db09e4\"\nFound subnet for region us-west1 in network bootstrap-e2e: bootstrap-e2e\n== Upgrading master to 'https://storage.googleapis.com/kubernetes-release-dev/ci/v1.19.4-rc.0.14+681acc889a6d07/kubernetes-server-linux-amd64.tar.gz'. Do not interrupt, deleting master instance. ==\n== Upgrading master environment variables. ==\n== Waiting for new master to respond to API requests ==\n.........................== Done ==\nWaiting for CoreDNS to update\nFetching the latest installed CoreDNS version\n== Downloading the CoreDNS migration tool ==\n== Upgrading the CoreDNS ConfigMap ==\nconfigmap/coredns configured\n== The CoreDNS Config has been updated ==\n== Validating cluster post-upgrade ==\nValidating gce cluster, MULTIZONE=\nFound 4 node(s).\nNAME                              STATUS                     ROLES    AGE    VERSION\nbootstrap-e2e-master              Ready,SchedulingDisabled   <none>   8m4s   v1.19.4-rc.0.14+681acc889a6d07\nbootstrap-e2e-minion-group-dp87   Ready                      <none>   8m6s   v1.18.11-rc.0.7+c194df43db09e4\nbootstrap-e2e-minion-group-kprg   Ready                      <none>   8m6s   v1.18.11-rc.0.7+c194df43db09e4\nbootstrap-e2e-minion-group-srk4   Ready                      <none>   8m6s   v1.18.11-rc.0.7+c194df43db09e4\nValidate output:\nNAME                 STATUS    MESSAGE             ERROR\ncontroller-manager   Healthy   ok                  \nscheduler            Healthy   ok                  \netcd-1               Healthy   {\"health\":\"true\"}   \netcd-0               Healthy   {\"health\":\"true\"}   \n\x1b[0;32mCluster validation succeeded\x1b[0m\n== Post-Upgrade Node OS and Kubelet Versions ==\nname: \"bootstrap-e2e-master\", osImage: \"Container-Optimized OS from Google\", kubeletVersion: \"v1.19.4-rc.0.14+681acc889a6d07\"\nname: \"bootstrap-e2e-minion-group-dp87\", osImage: \"Container-Optimized OS from Google\", kubeletVersion: \"v1.18.11-rc.0.7+c194df43db09e4\"\nname: \"bootstrap-e2e-minion-group-kprg\", osImage: \"Container-Optimized OS from Google\", kubeletVersion: \"v1.18.11-rc.0.7+c194df43db09e4\"\nname: \"bootstrap-e2e-minion-group-srk4\", osImage: \"Container-Optimized OS from Google\", kubeletVersion: \"v1.18.11-rc.0.7+c194df43db09e4\"\n", stderr "Project: k8s-jkns-e2e-kubeadm-gce-ci\nNetwork Project: k8s-jkns-e2e-kubeadm-gce-ci\nZone: us-west1-b\nINSTANCE_GROUPS=bootstrap-e2e-minion-group\nNODE_NAMES=bootstrap-e2e-minion-group-dp87 bootstrap-e2e-minion-group-kprg bootstrap-e2e-minion-group-srk4\nTrying to find master named 'bootstrap-e2e-master'\nLooking for address 'bootstrap-e2e-master-ip'\nUsing master: bootstrap-e2e-master (external IP: 35.247.71.49; internal IP: (not set))\nDeleted [https://www.googleapis.com/compute/v1/projects/k8s-jkns-e2e-kubeadm-gce-ci/zones/us-west1-b/instances/bootstrap-e2e-master].\nWARNING: You have selected a disk size of under [200GB]. This may result in poor I/O performance. For more information, see: https://developers.google.com/compute/docs/disks#performance.\nCreated [https://www.googleapis.com/compute/v1/projects/k8s-jkns-e2e-kubeadm-gce-ci/zones/us-west1-b/instances/bootstrap-e2e-master].\nWARNING: Some requests generated warnings:\n - Disk size: '20 GB' is larger than image size: '10 GB'. You might need to resize the root repartition manually if the operating system does not support automatic resizing. See https://cloud.google.com/compute/docs/disks/add-persistent-disk#resize_pd for details.\n - The resource 'projects/cos-cloud/global/images/cos-81-12871-59-0' is deprecated. A suggested replacement is 'projects/cos-cloud/global/images/cos-81-12871-69-0'.\n\nNAME                  ZONE        MACHINE_TYPE   PREEMPTIBLE  INTERNAL_IP  EXTERNAL_IP   STATUS\nbootstrap-e2e-master  us-west1-b  n1-standard-1               10.138.0.6   35.247.71.49  RUNNING\nWarning: kubectl apply should be used on resource created by either kubectl create --save-config or kubectl apply\nProject: k8s-jkns-e2e-kubeadm-gce-ci\nNetwork Project: k8s-jkns-e2e-kubeadm-gce-ci\nZone: us-west1-b\nWarning: v1 ComponentStatus is deprecated in v1.19+\nWarning: v1 ComponentStatus is deprecated in v1.19+\n/workspace/kubernetes_skew/cluster/gce/upgrade.sh: line 465: download_dir: unbound variable\n"
occurred
/go/src/k8s.io/kubernetes/_output/dockerized/go/src/k8s.io/kubernetes/test/e2e/cloud/gcp/cluster_upgrade.go:116